| Options Available in the Command Line Compiler

| GCC Command-Line Options | Next

These options apply only to the command line compiler. If you want to use the IDE instead, you do not need to worry about these topics.
`tigcc` has an important difference to the standard program `gcc`: `tigcc` always overwrites assembly or object files. For example, if a file `test.c` is compiled, the files `test.s` and `test.o` will be created and overwritten if necessary, but they will automatically be deleted again if neither '-c' nor '-S' are specified.
Another important difference is that `tigcc` always looks for libraries in the `'Lib'` subfolder of the installation.

-pack varname
  Compress the file generated during compilation. varname is the name of the on-calc packed variable. Although varname cannot have an extension, the variable on the calculator will always have the extension `ppg`. varname cannot be the same as the on-calc name of the program itself. When you use this switch, two files will be created; one with the extension `.89y` or `.9xy`, and one `.89z` or `.9xz` file.
  This option comes from Thomas Nussbaumer's TIGCC Tools Suite, where this feature is called "ExePack Technology." You can read about it on the official TI-Chess Team site.
-q
  Keep as quiet as possible while assembling and linking. This option is not needed by the compiler because it is always quiet, but the linker and especially the assembler output some information.
-v0
  This switch is an addition to the '-v' switch. It tells TIGCC to output only the commands that are run directly. This was the default in some previous releases.
-g
  The '-g' switch in GCC turns on debugging information in the preferred format for the target. In TIGCC, this is DWARF 2, which can be used with a GDB-enabled TiEmu.
-standalone
  Do not link against `tigcc.a`. All of GCC's internal functions are implemented in this library, as well as all non-TIOS functions. Using one of these will result in an error from the linker.
-ar
  Create an archive (a static library) instead of a program. The resulting file will have an `.a` ending.
-bsr
  This option is ignored for compatibility.

In addition to these options, the `tigcc` program also accepts most of the linker options.